org.apache.pdfbox.preflight.process

## Interface ValidationProcess

All Known Implementing Classes:
  AbstractProcess, AcroFormValidationProcess, ActionsValidationProcess, AnnotationValidationProcess, BookmarkValidationProcess, CatalogValidationProcess, DestinationValidationProcess, EmptyValidationProcess, ExtGStateValidationProcess, FileSpecificationValidationProcess, FontValidationProcess, GraphicObjectPageValidationProcess, MetadataValidationProcess, PageTreeValidationProcess, ResourcesValidationProcess, ShadingPatternValidationProcess, SinglePageValidationProcess, StreamValidationProcess, TilingPatternValidationProcess, TrailerValidationProcess, XRefValidationProcess

    public interface ValidationProcess

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `validate(PreflightContext ctx)`

### Method Detail

#### validate

    void validate(PreflightContext ctx)
           throws ValidationException

Throws:
  `ValidationException`